aboutsummaryrefslogtreecommitdiffstats
path: root/coin
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2019-08-05 15:48:20 +0300
committerHeikki Halmet <heikki.halmet@qt.io>2019-11-20 08:07:58 +0200
commit601a9d39b2b7b6e3fd0b3504e5c5e460e89c64c2 (patch)
treede0d475ac6501a69134610e446b56fe9559cc6ba /coin
parentedb5ebfb7e9cc47c8454b55a8964e8121ef838ea (diff)
Provisioning: Install python modules needed by packaging
Needed by packaging scripts Task-number: COIN-214 Change-Id: I3ac719800c3afd183996379f6c23fbe3f8bcf7cb Reviewed-by: Iikka Eklund <iikka.eklund@qt.io>
Diffstat (limited to 'coin')
-rwxr-xr-xcoin/provisioning/common/unix/python_modules.sh38
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/90-python-modules.sh39
-rwxr-xr-xcoin/provisioning/qtci-macos-10.13-x86_64/90-python-modules.sh7
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/90-python-modules.ps13
4 files changed, 87 insertions, 0 deletions
diff --git a/coin/provisioning/common/unix/python_modules.sh b/coin/provisioning/common/unix/python_modules.sh
new file mode 100755
index 00000000..dbf26a85
--- /dev/null
+++ b/coin/provisioning/common/unix/python_modules.sh
@@ -0,0 +1,38 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2019 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# needed by packaging scripts
+sudo pip3 install bs4
+sudo pip3 install sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/90-python-modules.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/90-python-modules.sh
new file mode 100755
index 00000000..8a3fc7b9
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/90-python-modules.sh
@@ -0,0 +1,39 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2019 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# shellcheck source=../common/unix/python-modules.sh
+source "${BASH_SOURCE%/*}/../common/unix/python-modules.sh"
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/90-python-modules.sh b/coin/provisioning/qtci-macos-10.13-x86_64/90-python-modules.sh
new file mode 100755
index 00000000..8a2cbf64
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/90-python-modules.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/unix/python_modules.sh"
+
diff --git a/coin/provisioning/qtci-windows-10-x86_64/90-python-modules.ps1 b/coin/provisioning/qtci-windows-10-x86_64/90-python-modules.ps1
new file mode 100644
index 00000000..3646d826
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/90-python-modules.ps1
@@ -0,0 +1,3 @@
+# Needed by packaging scripts
+C:\Python36\Scripts\pip3 install bs4
+C:\Python36\Scripts\pip3 install sh